%global major_version %%(cut -d "." -f 1-2 <<<%{version})
# %global api_version %{major_version}
%global api_version 3.6

Name:           epiphany-extensions
Version:        3.6.0
Release:        1%{?dist}
Summary:        Extensions for Epiphany, the GNOME web browser

Group:          Applications/Internet
# Documentation is GFDL
License:        GPLv2+ and GFDL
URL:            http://www.gnome.org/projects/epiphany/extensions
Source0:        http://download.gnome.org/sources/epiphany-extensions/%{major_version}/%{name}-%{version}.tar.xz

BuildRequires:  gnome-doc-utils
BuildRequires:  intltool
BuildRequires:  opensp-devel
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(epiphany-%{api_version})
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(webkitgtk-3.0)
BuildRequires:  rarian-compat
Requires:       epiphany(abi) = %{api_version}

%description
Epiphany Extensions is a collection of extensions for Epiphany, the GNOME web
browser.


%prep
%setup -q


%build
%configure \
  --disable-static \
  --with-extensions=default
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name "*.la" -delete

%{find_lang} %{name} --with-gnome
%{find_lang} %{name}-%{api_version} --with-gnome


%postun
if [ $1 -eq 0 ]; then
  /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi


%posttrans
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%files -f %{name}.lang -f %{name}-%{api_version}.lang
%doc AUTHORS COPYING COPYING.README NEWS README TODO
%{_datadir}/epiphany/icons/hicolor/*/status/*
%{_datadir}/%{name}/
%{_datadir}/glib-2.0/schemas/*.xml
# TODO: Own this directory until RHBZ #861770 is fixed
%{_libdir}/epiphany/%{api_version}/


%changelog
* Wed Oct 17 2012 Kalev Lember <kalevlember@gmail.com> - 3.6.0-1
- Update to 3.6.0

* Thu Oct 04 2012 Mohamed El Morabity <melmorabity@fedoraproject.org> - 3.5.0-0.3.20120914gitf4fcbfc
- Rebuild for Epiphany 3.6

* Thu Sep 20 2012 Mohamed El Morabity <melmorabity@fedoraproject.org> - 3.5.0-0.2.20120914gitf4fcbfc
- Update to lastest GIT snapshot

* Mon Aug 20 2012 Mohamed El Morabity <melmorabity@fedoraproject.org> - 3.5.0-0.1.20120805git6e2c042
- Update to a pre-3.5.0 GIT snapshot

* Mon Mar 30 2012 Mohamed El Morabity <melmorabity@fedoraproject.org> - 3.4.0-1
- Update to 3.4.0
- Spec fixes

* Mon Feb 27 2012 Mohamed El Morabity <melmorabity@fedoraproject.org> - 3.3.90-1
- Update to 3.3.90
- Spec cleanup

* Mon Oct 10 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 3.2.0-1.1
- Rebuild

* Sat Oct 08 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 3.2.0-1
- Update to 3.2.0

* Mon Apr 11 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 3.0.0-1
- Update to 3.0.0

* Thu Mar 24 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 2.91.92-1
- Update to 2.91.92

* Tue Mar 15 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> 2.91.90-1
- Update to 2.91.90
- Spec cleanup
